clonezilla-fuss - Segnalazione #945

clonezilla-fuss non installa alcuni file necessari
01/02/2020 11:10 AM - Paolo Dongilli

Status: Chiuso Start date: 01/02/2020
Priority: Urgente Due date:

Assignee: Paolo Dongilli % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
non vengono installati i seguenti file nella cartella /srv/tftp sul server:

Idlinux.c32
libutil.c32
menu.c32
pxelinux.0

e o o o

History

#1 - 01/02/2020 01:30 PM - Paolo Dongilli

... nel senso che vanno aggiunti al pacchetto.

#2 - 01/02/2020 03:15 PM - Elena Grandi

- Status changed from Nuovo to In elaborazione

#3 - 01/02/2020 04:12 PM - Marco Marinello

Manca anche la copia di alcuni file da /usr/share/fuss-fucc a /srv/clonezilla . Non so se vuoi farlo qui o con ansible.

Refs https:/gitlab.fuss.bz.it/fuss/fucc/blob/master/debian/postinst#L 49

#4 - 01/03/2020 09:16 AM - Elena Grandi

Sono file installati dal pacchetto pxelinux, van copiati con ansible nella posizione giusta (lo sto facendo), non aggiunti al pacchetto.

Non sto perd copiando Idlinux.c32: quello era un workaround per un bug (#135 da noi) che risulta fixato upstream dal 2015, direi che si puo provare
senza (e semmai se non funziona lo si aggiunge).

#5 - 01/03/2020 10:37 AM - Elena Grandi

- Assignee changed from Elena Grandi to Marco Marinello

Marco Marinello wrote:
Manca anche la copia di alcuni file da /usr/share/fuss-fucc a /srv/clonezilla . Non so se vuoi farlo qui o con ansible.

Refs https:/gitlab.fuss.bz.it/fuss/fucc/blob/master/debian/postinst#L 49

€ importante che quei file siano nel pacchetto di fuss-fucc e vengano installati anche in /usr/share/fuss-fucc/clonezilla/? oppure potrebbero essere
semplicemente nel pacchetto di fuss-server?
https://gitlab.fuss.bz.it/fuss/fucc/blob/master/debian/postinst#L49
https://bugs.launchpad.net/ubuntu/+source/syslinux/+bug/1577554
https://work.fuss.bz.it/issues/135
https://gitlab.fuss.bz.it/fuss/fucc/blob/master/debian/postinst#L49

#6 - 01/03/2020 11:39 AM - Paolo Dongilli

- Assignee changed from Marco Marinello to Elena Grandi

#7 - 01/03/2020 11:48 AM - Marco Marinello

Elena Grandi wrote:
Marco Marinello wrote:
Manca anche la copia di alcuni file da /usr/share/fuss-fucc a /srv/clonezilla . Non so se vuoi farlo qui o con ansible.

Refs https:/gitlab.fuss.bz.it/fuss/fucc/blob/master/debian/postinst#L 49

€ importante che quei file siano nel pacchetto di fuss-fucc e vengano installati anche in /usr/share/fuss-fucc/clonezilla/? oppure potrebbero
essere semplicemente nel pacchetto di fuss-server?

Okay ma allora il pacchetto fuss-fucc diventa vuoto... piuttosto spostiamo l'installazione direttamente nella directory di tftp cosi non serve rilanciare
fuss-server quando aggiorniamo il pacchetto che & spesso problematico.

#8 - 01/03/2020 12:11 PM - Elena Grandi

- Assignee changed from Elena Grandi to Marco Marinello

In effetti...

Concordo con lo spostare l'installazione direttamente nella directory giusta, che cosi i file vengono gestiti completamente dal pacchetto che li installa
e non meta da una parte e meta dall'altra.

E utile che sia il fuss-server ad impostare /etc/fuss-fucc/sftpdir?

Per il file computerList.txt potrebbe essere utile aggiungerlo in debian/conffiles, in modo che in caso di aggiornamento non venga riscritto.

#9 - 01/03/2020 12:16 PM - Marco Marinello

- Assignee changed from Marco Marinello to Elena Grandi

Elena Grandi wrote:

In effetti...
https://gitlab.fuss.bz.it/fuss/fucc/blob/master/debian/postinst#L49

Concordo con lo spostare l'installazione direttamente nella directory giusta, che cosi i file vengono gestiti completamente dal pacchetto che li
installa e non meta da una parte e meta dall'altra.

E utile che sia il fuss-server ad impostare /etc/fuss-fucc/sftpdir?

veramente si, serve poi per il comando fuss-fucc . Anche se de-facto poi andiamo ad averlo hardcodato se il pacchetto installa direttamente in-place.
Per me ok comunque.

Per il file computerList.txt potrebbe essere utile aggiungerlo in debian/conffiles, in modo che in caso di aggiornamento non venga riscritto.

Perfetto, faccio queste modifiche allora.

#10 - 01/03/2020 12:23 PM - Elena Grandi

- Assignee changed from Elena Grandi to Marco Marinello

ottimo, io allora testo e uploado il fuss-server aggiornato coi file richiesti all'inizio del ticket e che scrive /etc/fuss-fucc/sftpdir

(btw, gia il fuss-server hardcodava I'uso di /srv/tftp)

#11 - 01/03/2020 12:58 PM - Elena Grandi

fuss-server uploadato.

manca solo la versione sistemata di fuss-fucc

#12 - 01/03/2020 01:06 PM - Marco Marinello

- Assignee changed from Marco Marinello to Elena Grandi

L'assegnazione dei permessi a clonezilla delle cose che copio lo faccio in postinst mio? Penso sia la cosa migliore ma dammi conferma.
Elena Grandi wrote:

(btw, gia il fuss-server hardcodava I'uso di /srv/tftp)

eventuali modifiche se le faranno i tecnici e basta
#13 - 01/04/2020 12:26 PM - Paolo Dongilli

- Assignee changed from Elena Grandi to Marco Marinello

Marco Marinello wrote:

L'assegnazione dei permessi a clonezilla delle cose che copio lo faccio in postinst mio? Penso sia la cosa migliore ma dammi conferma.

Marco, ecco la risposta di Elena:

—Se lo fai in un postinst tuo devi controllare che I'utente clonezilla ci sia gia (che vuol dire che probabilmente vien creato in tre posti diversi)
{ovvero, conviene pensare un attimo e vedere se si riesce a migliorare la situazione, ma intanto potrebbe andare bene per la versione attuale)

Appena puoi procedi per favore con le modifiche a fuss-fucc. Grazie. Oggi sto conducendo i test.

#14 - 01/04/2020 04:50 PM - Marco Marinello

- Assignee changed from Marco Marinello to Paolo Dongilli

Fatto: http://archive.fuss.bz.it/pool/main/f/fuss-fucc/fuss-fucc_0.5.2_all.deb

#15 - 01/07/2020 04:28 PM - Paolo Dongilli

- Status changed from In elaborazione to Risolto

Collaudo eseguito con esito positivo. Chiudo.

#16 - 01/22/2020 02:47 PM - Elena Grandi

- Status changed from Risolto to Commenti

Riapro il ticket per segnalazione via chat di problemi.

Ho appena caricato la versione 10.0.9 di fuss-server che reintroduce la copia di ldlinux.c32 e aggiunge delle migliorie alla configurazione di pxelinux
trovate sul thread del bug relativo.

Passo il ticket per provare se adesso funziona tutto correttamente

#17 - 01/22/2020 02:49 PM - Elena Grandi

Dimenticavo, dopo l'aggiornamento del pacchetto fuss-server &€ necessario come al solito fuss-server upgrade per aggiornare la configurazione di
pxelinux

#18 - 06/07/2020 01:46 AM - Paolo Dongilli

- Status changed from Commenti to Chiuso
